<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'lz-fitness-premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'lz-fitness-premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'lz-fitness-premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'lz-fitness-premium'),
	'panel' => 'lz_fitness_general_panel',
) );
    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'lz_fitness_sticky_header_enable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_sticky_header_enable',
		array(
			'settings'		=> 'lz_fitness_sticky_header_enable',
			'section'		=> 'lz_fitness_header_settings',
			'label'			=> __( 'Sticky Header', 'Luzuk Premium' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'Luzuk Premium' ),
				'off' => __( 'Disable', 'Luzuk Premium' )
			)	
		)
	)
);

	//ENABLE/DISABLE STICKY HEADER
// $wp_customize->add_setting(
// 	'lz_fitness_sticky_header_enable',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default' => 'off'
// 	)
// );

// $wp_customize->add_control(
// 	new lz_fitness_Switch_Control(
// 		$wp_customize,
// 		'lz_fitness_sticky_header_enable',
// 		array(
// 			'settings'		=> 'lz_fitness_sticky_header_enable',
// 			'section'		=> 'lz_fitness_header_settings',
// 			'label'			=> __( 'Sticky Header', 'lz-fitness-premium' ),
// 			'on_off_label' 	=> array(
// 				'on' => __( 'Enable', 'lz-fitness-premium' ),
// 				'off' => __( 'Disable', 'lz-fitness-premium' )
// 			)	
// 		)
// 	)
// );
//top header
// $wp_customize->add_setting(
// 	'lz_fitness_headermain_tagline',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default'           => __( 'Just another WordPress site', 'lz-fitness-premium' )
// 	)
// );
// $wp_customize->add_control(
// 	'lz_fitness_headermain_tagline',
// 	array(
// 		'settings'      => 'lz_fitness_headermain_tagline',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'text',
// 		'label'         => __( 'Tagline', 'lz-fitness-premium' )
// 	)
// );
$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '+(123) 4567 8910' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@yourmail.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Email', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_opening',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Opening: 09am - 5pm', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_opening',
	array(
		'settings'      => 'lz_fitness_headermain_opening',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Opening Time', 'lz-fitness-premium' )
	)
);
  
 
$sectionHeader = 'lz_fitness_header_settings';

// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_reservation_lblImgTxt', $sectionHeader, 'Social media icons');
//ADD TEXT BOX FOR FORM SHORTCODE
lzAddElement($wp_customize, 'lz_fitness_header_fb', $sectionHeader, 'text', $label = "Facebook", 'lz_fitness_sanitize_text', 'http://Facbook.com');
lzAddElement($wp_customize, 'lz_fitness_header_tw', $sectionHeader, 'text', $label = "Twitter", 'lz_fitness_sanitize_text', 'http://twitter.com');
lzAddElement($wp_customize, 'lz_fitness_header_in', $sectionHeader, 'text', $label = "LinedIn", 'lz_fitness_sanitize_text', 'http://Linkedin.com');
lzAddElement($wp_customize, 'lz_fitness_header_it', $sectionHeader, 'text', $label = "Instagram", 'lz_fitness_sanitize_text', 'http://Instragram.com');

  addColorPalatOption($wp_customize, 'lz_fitness_header_TextColor', 'lz_fitness_header_settings', 'Header Text color', '#000000'); 

  addColorPalatOption($wp_customize, 'lz_fitness_header_lefticoncolor', 'lz_fitness_header_settings', 'Phone, Email & Timing Icon Color', '#69489d');

  addColorPalatOption($wp_customize, 'lz_fitness_header_SocialIconColor', 'lz_fitness_header_settings', 'Header Social Icon Color', '#000000');

   addColorPalatOption($wp_customize, 'lz_fitness_header_BottomColor', 'lz_fitness_header_settings', 'Bottom Header Box color', '#ffffff');



//Set header menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenu_color', 'lz_fitness_header_settings', 'Header Menu Color', '#000000');

//Set header current menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentmenu_color', 'lz_fitness_header_settings', 'Header Current Menu Color', '#69489d');

//Set header menu hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headermenuhover_color', 'lz_fitness_header_settings', 'Header Menu Hover Color', '#69489d');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenu_color', 'lz_fitness_header_settings', 'Header Sub Menu Color', '#fff');

//Set header dropdown Background colour
addColorPalatOption($wp_customize, 'lz_fitness_headerdropdownbg_color', 'lz_fitness_header_settings', 'Header dropdown Background Color', '#69489d');

//Set header sub menu hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuhover_color', 'lz_fitness_header_settings', 'Header Sub Menu Hover Color', '#69489d');

//Set header sub menu arrow hover colour
addColorPalatOption($wp_customize, 'lz_fitness_headersubmenuarrowhover_color', 'lz_fitness_header_settings', 'Header Sub Menu Arrow Hover Color', '#69489d');
//Set header current sub menu colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentsubmenu_color', 'lz_fitness_header_settings', 'Header Current Sub Menu Color', '#69489d');

//Set header current sub menu bg colour
addColorPalatOption($wp_customize, 'lz_fitness_headercurrentsubmenubg_color', 'lz_fitness_header_settings', 'Header Current Sub menu & All Sub Menu Background Color', '#ffffff');


addColorPalatOption($wp_customize, 'lz_fitness_header_ToggleColor', 'lz_fitness_header_settings', 'Toggle Bar Color For Tablet & Mobile Screen', '#69489d'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_NavHeaderbackgroundColor', 'lz_fitness_header_settings', 'Main Header Background color For Tablet & Mobile Screen', '#ffffff'); 
addColorPalatOption($wp_customize, 'lz_fitness_header_BorderRespColor', 'lz_fitness_header_settings', 'Navigation Box Border Color For Tablet & Mobile Screen', '#69489d'); 
//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_footer_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_footer_section_lbl',
        array(
            'settings'      => 'luzuk_premium_footer_section_lbl',
            'section'       => 'lz_fitness_footer_copyright_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2018 natraj-dance-pro. All Rights Reserved', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'lz-fitness-premium' )
	)
);
